import dayjs from "dayjs";
//将获取的数据回显表单
const setFormValue = (form, content) => {
  let res = {};
  for (const key in form) {
    if (Object.hasOwnProperty.call(content, key)) {
      res[key] = content[key];
    } else {
      res[key] = form[key];
    }
  }
  return res;
};
//格式化时间
const formatTimeWithDayjs = (time, formar = "YYYY-MM-DD HH:mm:ss") => {
  if (time.indexOf) {
    if (time.indexOf("-") < 0 && time.indexOf(":") < 0) {
      time = Number(time);
    } else {
      return dayjs(time).format(formar);
    }
  }
  if (time <= 10000000000) {
    time = time * 1000;
  }
  return dayjs(time).format(formar);
};
//将上传的文件转为base64
const file2Base64 = (file) => {
  return new Promise((resolve) => {
    // console.log(file);
    let reader = new FileReader();
    reader.readAsDataURL(file);
    reader.onload = function(e) {
      // console.log(e.target.result);
      resolve(e.target.result);
      // return e.target.result;
    };
  });
};

export { setFormValue, formatTimeWithDayjs, file2Base64 };
